.running-line {
    padding: 16px 0;
    background-color: $brown;
    color: $white;
    transform: rotate(-5deg);
    position: absolute;
    top: -25px;
    width: calc(100% + 63px);
    left: -31.5px;
    cursor: pointer;
    z-index: 1;

    @media (max-width: $desktop-max) {
        padding: 6px 0;
    }

    @media (max-width: $tablet-max) {
        top: 35px;
    }

    @media (hover: hover) {
        &:hover {
            .running-line__button {
                background-color: $pink;
                color: $white;
            }
        }
    }

    &__wrapper {
        display: flex;
    }
    .marquee {
        height: 48px;
        overflow: hidden;
    }

    &__item {
        display: flex;
        gap: 14px;
        font-size: 48px;
        line-height: 48px;
        font-weight: 400;

        @media (max-width: $desktop-max) {
            font-size: 32px;
            line-height: 40px;
        }
    }

    &__ic {
        font-family: 'Neue Machina', sans-serif;
        font-weight: 800;
        font-size: 24px;
        line-height: 48px;
        position: relative;
        top: 5px;

        @media (max-width: $desktop-max) {
            font-size: 20px;
            line-height: 40px;
        }
    }
    
    &__button {
        border: none;
        background-color: $white;
        color: $black;
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        padding: 14px 25px;
        position: absolute;
        border-radius: 32px;
        top: 50%;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);
        cursor: pointer;
        transition: color 0.5s, background-color 0.5s;
    }
}